"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule(/foo-.+/, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("@keyframes foofoo {}");

  tr.ok("@custom-media --foo-bar (min-width: 0);");
  tr.ok("@custom-media --foo-foofoo (min-width: 0);");

  tr.notOk("@custom-media --foa-bar (min-width: 0);", _.messages.expected);
  tr.notOk("@custom-media --foa (min-width: 0);", _.messages.expected);
});

testRule(/^[A-Z][a-z]+-[a-z][a-zA-Z]+$/, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("@custom-media --Ape-ageLess");
  tr.ok("@custom-media --Purr-piratePlant");

  tr.notOk("@custom-media --ape-ageLess", _.messages.expected);
  tr.notOk("@custom-media --Ape-AgeLess", _.messages.expected);
});