"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var _declarationBangSpaceAfter = require("../declaration-bang-space-after");

var ruleName = "declaration-bang-space-before";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  expectedBefore: function expectedBefore() {
    return "Expected single space before \"!\"";
  },
  rejectedBefore: function rejectedBefore() {
    return "Unexpected whitespace before \"!\"";
  }
});

exports.messages = messages;

exports["default"] = function (expectation) {
  var checker = (0, _utils.whitespaceChecker)("space", expectation, messages);
  return function (root, result) {
    (0, _utils.validateOptions)({ result: result, ruleName: ruleName,
      actual: expectation,
      possible: ["always", "never"]
    });

    (0, _declarationBangSpaceAfter.declarationBangSpaceChecker)(checker.before, root, result);
  };
};