"use strict";

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var _testUtils = require("../../../testUtils");

var _ = require("..");

var _2 = _interopRequireDefault(_);

var testRule = (0, _testUtils.ruleTester)(_2["default"], _.ruleName);

testRule(2, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { top: 3px /* 3.12345px */; }");
  tr.ok("a::before { content: \"3.12345px\"; }");

  tr.ok("a { top: 3%; }");
  tr.ok("a { top: 3.1%; }");
  tr.ok("a { top: 3.12%; }");
  tr.ok("a { padding: 6.1% 3.12%; }");

  tr.notOk("a { top: 3.123%; }", _.messages.expected(3.123, 2));
  tr.notOk("a { padding: 6.123% 3.1%; }", _.messages.expected(6.123, 2));

  tr.ok("@media (min-width: 5.12em) {}");
  tr.notOk("@media (min-width: 5.123em) {}", _.messages.expected(5.123, 2));
});

testRule(4, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { top: 3px /* 3.12345px */; }");
  tr.ok("a::before { content: \"3.12345px\"; }");

  tr.ok("a { top: 3%; }");
  tr.ok("a { top: 3.1%; }");
  tr.ok("a { top: 3.12%; }");
  tr.ok("a { top: 3.123%; }");
  tr.ok("a { top: 3.1234%; }");
  tr.ok("a { padding: 6.123% 3.1234%; }");

  tr.notOk("a { top: 3.12345%; }", _.messages.expected(3.12345, 4));
  tr.notOk("a { padding: 6.12345% 3.1234%; }", _.messages.expected(6.12345, 4));

  tr.ok("@media (min-width: 5.1234em) {}");
  tr.notOk("@media (min-width: 5.12345em) {}", _.messages.expected(5.12345, 4));
});

testRule(0, function (tr) {
  (0, _testUtils.warningFreeBasics)(tr);

  tr.ok("a { top: 3%; }");
  tr.notOk("a { top: 3.1%; }", _.messages.expected(3.1, 0));
});