"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _utils = require("../../utils");

var _ruleNonNestedEmptyLineBefore = require("../rule-non-nested-empty-line-before");

var ruleName = "rule-nested-empty-line-before";

exports.ruleName = ruleName;
var messages = (0, _utils.ruleMessages)(ruleName, {
  expected: "Expected empty line before nested rule",
  rejected: "Unexpected empty line before nested rule"
});

exports.messages = messages;

exports["default"] = function (expectation, options) {
  return function (root, result) {
    (0, _utils.validateOptions)({ ruleName: ruleName, result: result,
      actual: expectation,
      possible: ["always", "never", "always-multi-line", "never-multi-line"]
    });
    (0, _utils.validateOptions)({ ruleName: ruleName, result: result,
      actual: options,
      possible: {
        ignore: ["after-comment"],
        except: ["first-nested", "after-comment"]
      }
    });

    root.eachRule(function (rule) {

      // Only attend to nested rule sets
      if (rule.parent === root) {
        return;
      }

      (0, _ruleNonNestedEmptyLineBefore.checkRuleEmptyLineBefore)(rule, expectation, options, result, messages);
    });
  };
};